1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

help

Discussion in 'Sony PSP - Mod and firmware discussion' started by maskiri, Feb 3, 2007.

  1. maskiri

    maskiri Guest

    how do i use the 3.03 v to play psx games without upgarding my 1.50?
     
  2. aj101788

    aj101788 Guest

    if u want to play psx games free u have to upgrade or u could go get a ps3 and download psx games from sony might cost u arount $8 for each ??
     
  3. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46
    you cant play ps1 games in firmware 1.5,you need to install dark alex custom firmware to upgrade to 3.03 oe-c to play ps1 games
    http://forums.afterdawn.com/thread_view.cfm/460892

    with firmware 1.5 you can install device hook and play only psp games
     
  4. hexitnow

    hexitnow Active member

    Joined:
    Jun 18, 2006
    Messages:
    6,109
    Likes Received:
    0
    Trophy Points:
    96
    if u check out the link my sig i made a winstaller to make the process as simple as possible for upgrading to 3.03 OE-C.
     
  5. maskiri

    maskiri Guest

    so to go back to 1.50 , do i have to downgrade?
     
  6. hexitnow

    hexitnow Active member

    Joined:
    Jun 18, 2006
    Messages:
    6,109
    Likes Received:
    0
    Trophy Points:
    96
    im sorry i got confused from earlier posts. but anyhow to play psx games you will need a ps3 or downgrade ur psp.
     
  7. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46
    what firmware do you have?
     
  8. maskiri

    maskiri Guest

    i have the 1.50
     
  9. hexitnow

    hexitnow Active member

    Joined:
    Jun 18, 2006
    Messages:
    6,109
    Likes Received:
    0
    Trophy Points:
    96
    From that post it sounds like he is above 1.50 but his first one contradicts that.
     
  10. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46
    maskiri if you have 1.5 just just follow the link from hexitnow sig to install 3.03 oe-c and then you can play ps1 games

    but make sure you have 1.5
     
    Last edited: Feb 4, 2007
  11. ThisDude

    ThisDude Regular member

    Joined:
    Oct 14, 2006
    Messages:
    875
    Likes Received:
    0
    Trophy Points:
    26
    Look this is very confusing

    Let's start again:

    If you have 1.50, upgrade to 3.03 OE-C.
    If you have 3.03, downgrade to 1.50 then upgrade to 3.03 OE-C.
    If you have 3.10, then you are simply f****d.
     
  12. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46

Share This Page